Package: elfutils / 0.176-1.1

disable_werror.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
From: Helmut Grohne <helmut@subdivi.de>
Subject: disable -Werror as it tends to break with new gcc versions
Bug-Debian: https://bugs.debian.org/886004
Last-Update: 2018-01-01

Index: elfutils-0.176/config/eu.am
===================================================================
--- elfutils-0.176.orig/config/eu.am
+++ elfutils-0.176/config/eu.am
@@ -73,7 +73,6 @@ AM_CFLAGS = -std=gnu99 -Wall -Wshadow -W
 	    -Wold-style-definition -Wstrict-prototypes -Wtrampolines \
 	    $(LOGICAL_OP_WARNING) $(DUPLICATED_COND_WARNING) \
 	    $(NULL_DEREFERENCE_WARNING) $(IMPLICIT_FALLTHROUGH_WARNING) \
-	    $(if $($(*F)_no_Werror),,-Werror) \
 	    $(if $($(*F)_no_Wunused),,-Wunused -Wextra) \
 	    $(if $($(*F)_no_Wstack_usage),,$(STACK_USAGE_WARNING)) \
 	    $(if $($(*F)_no_Wpacked_not_aligned),-Wno-packed-not-aligned,) \